Desktop File System
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
GET | |
POST | |
GET | |
PATCH | |
DELETE | |
POST |
List all desktop file system shortcut
Sidebar shortcuts for the desktop product surface. Reuses all FileSystemShortcutViewSet behaviour but is scoped to the "desktop" surface, so its shortcuts are fully isolated from the default "web" surface.
Required API key scopes
file_system_shortcut:readQuery parameters
- limitinteger
- offsetinteger
Response
Example request
GET /api /projects /:project_id /desktop_file_system_shortcutExample response
Status 200
Create desktop file system shortcut
Sidebar shortcuts for the desktop product surface. Reuses all FileSystemShortcutViewSet behaviour but is scoped to the "desktop" surface, so its shortcuts are fully isolated from the default "web" surface.
Required API key scopes
file_system_shortcut:writeRequest parameters
- pathstring
- typestring
- refstringnull
- hrefstringnull
- orderinteger
Response
Example request
POST /api /projects /:project_id /desktop_file_system_shortcutExample response
Status 201
Retrieve desktop file system shortcut
Sidebar shortcuts for the desktop product surface. Reuses all FileSystemShortcutViewSet behaviour but is scoped to the "desktop" surface, so its shortcuts are fully isolated from the default "web" surface.
Required API key scopes
file_system_shortcut:readPath parameters
- idstring
Response
Example request
GET /api /projects /:project_id /desktop_file_system_shortcut /:idExample response
Status 200
Update desktop file system shortcut
Sidebar shortcuts for the desktop product surface. Reuses all FileSystemShortcutViewSet behaviour but is scoped to the "desktop" surface, so its shortcuts are fully isolated from the default "web" surface.
Required API key scopes
file_system_shortcut:writePath parameters
- idstring
Request parameters
- pathstring
- typestring
- refstringnull
- hrefstringnull
- orderinteger
Response
Example request
PATCH /api /projects /:project_id /desktop_file_system_shortcut /:idExample response
Status 200
Delete desktop file system shortcut
Sidebar shortcuts for the desktop product surface. Reuses all FileSystemShortcutViewSet behaviour but is scoped to the "desktop" surface, so its shortcuts are fully isolated from the default "web" surface.
Required API key scopes
file_system_shortcut:writePath parameters
- idstring
Example request
DELETE /api /projects /:project_id /desktop_file_system_shortcut /:idExample response
Status 204 No response body
Create desktop file system shortcut reorder
Set the display order of the current user's shortcuts. ordered_ids becomes the new top-to-bottom order; any unknown IDs are rejected.
Request parameters
- ordered_idsarray
Response
Example request
POST /api /projects /:project_id /desktop_file_system_shortcut /reorder